import { WebSocketRouteIntegration, WebSocketRouteIntegrationBindOptions, WebSocketRouteIntegrationConfig } from '../../../aws-apigatewayv2';
import { IFunction } from '../../../aws-lambda';
/**
 * (experimental) Lambda WebSocket Integration.
 *
 * @experimental
 */
export declare class WebSocketLambdaIntegration extends WebSocketRouteIntegration {
    private readonly handler;
    private readonly _id;
    /**
     * @param id id of the underlying integration construct.
     * @param handler the Lambda function handler.
     * @experimental
     */
    constructor(id: string, handler: IFunction);
    /**
     * (experimental) Bind this integration to the route.
     *
     * @experimental
     */
    bind(options: WebSocketRouteIntegrationBindOptions): WebSocketRouteIntegrationConfig;
}
