import { HttpRouteAuthorizerBindOptions, HttpRouteAuthorizerConfig, IHttpRouteAuthorizer } from '../../../aws-apigatewayv2';
/**
 * (experimental) Authorize HTTP API Routes with IAM.
 *
 * @experimental
 */
export declare class HttpIamAuthorizer implements IHttpRouteAuthorizer {
    /**
     * (experimental) Bind this authorizer to a specified Http route.
     *
     * @experimental
     */
    bind(_options: HttpRouteAuthorizerBindOptions): HttpRouteAuthorizerConfig;
}
